//
//  Accompaniment.h
//  pitchEstimator
//
//  Created by Jeffrey Harriman on 2/10/12.
//  Copyright (c) 2012 Stanford University. All rights reserved.
//

#ifndef pitchEstimator_Accompaniment_h
#define pitchEstimator_Accompaniment_h

#include "JifDefines.h"

class Accompaniment {
    // the chord degree - relative to the key this determines the chord quality
    int m_scaleDegree;
    
    
public:
    // default constructor
    Accompaniment(){
        m_scaleDegree = 0;
    };

    ~Accompaniment();
    
    // constructor with global key and scale degree
    Accompaniment(int scaleDegree){
        m_scaleDegree = scaleDegree;
    };
    
    //void setKey(int * newKey){m_key = newKey;};
    void setScaleDegree(int scaleDegree){m_scaleDegree = scaleDegree;};
    // what is the chord for this object
    int getScaleDegree(){return m_scaleDegree;};
    
};


#endif
