//
//  MidiUtil.cpp
//  pitchEstimator
//
//  Created by Jeffrey Harriman on 2/14/12.
//  Copyright (c) 2012 Stanford University. All rights reserved.
//

#include <iostream>
#include "MidiUtil.h"


float freqToMidi(float frequency)
{
    // Reference frequency is A440, note number 69
    const float fref=440;
    const int nref = 69;
    return ((float)nref + 12.0 * (log(frequency / fref) / log(2) ));
}

float midiToFreq(float note){
    float freq;
    
    freq = 440 * pow(2,((note - 69)/12));
    
    return freq;
}
