//
//  AudioRecord.h
//  seq
//
//  Created by Jeffrey Harriman on 3/6/12.
//  Copyright (c) 2012 Stanford University. All rights reserved.
//

#ifndef seq_AudioRecord_h
#define seq_AudioRecord_h

#include "mo_def.h"
#include "Track.h"

class AudioRecord: public Track{
    SAMPLE * m_recBuf;
    
public:
    AudioRecord();
    ~AudioRecord();
    void setRecBufferSize(int numFrames);
    audioRecording getAudioRecording();
    void loadAudioRecording(audioRecording);
    
    void Erase();
    void tick(SAMPLE * buffer, int numFrames);
    
};

#endif
