//
//  ModalTest.h
//  Wreck Chord
//
//  Created by Jeffrey Harriman on 3/13/12.
//  Copyright (c) 2012 Stanford University. All rights reserved.
//

#import <UIKit/UIKit.h>

@class SSSViewController;

@interface ModalTest : UIViewController <UITableViewDelegate, UITableViewDataSource>

/////// Table view of sounds
@property (strong, nonatomic) IBOutlet UITableView *soundTableView;
@property (strong, nonatomic) NSMutableArray *sounds;

@property (weak, nonatomic) SSSViewController *mainView;

- (IBAction) refreshButton:(UIButton*)sender;
- (IBAction) cancelButton:(UIButton*)sender;

- (void)getSoundAtURL:(NSURL *)url;
- (void)getNotesAtURL:(NSURL *)url;
- (void)getRhythmAtURL:(NSURL *)url;
- (void)getSet:(NSURL *)chordUrl : (NSURL *)bassUrl : (NSURL *)leadUrl : (NSURL *)audio1Url : (NSURL *)audio2Url : (NSURL *)chordArtUrl : (NSURL *)bassArtUrl : (NSURL *)leadArtUrl : (NSURL *)audio1ArtUrl : (NSURL *)audio2ArtUrl; 

@end
